Index: /extensions/Photos/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Photos/language/en_UK/plugin.lang.php	(revision 8712)
+++ /extensions/Photos/language/en_UK/plugin.lang.php	(revision 8713)
@@ -5,5 +5,5 @@
 $lang['add this image to your favorites'] = 'add this photo to your favorites';
 $lang['display best rated items'] = 'display best rated photos';
-/*+*/$lang['display each day with pictures, month per month'] = "display each day with photos, month per month";
+$lang['display each day with pictures, month per month'] = "display each day with photos, month per month";
 $lang['delete this image from your favorites'] = 'delete this photo from your favorites';
 $lang['display my favorites pictures'] = 'display your favorites photos';
@@ -14,6 +14,6 @@
 $lang['Recent pictures'] = 'Recent photos';
 $lang['display most recent pictures'] = 'display most recent photos';
-/*+*/$lang['display only recently posted images'] = "display only recently posted photos";
-/*+*/$lang['return to the display of all images'] = "return to the display of all photos";
+$lang['display only recently posted images'] = "display only recently posted photos";
+$lang['return to the display of all images'] = "return to the display of all photos";
 $lang['%d image']='%d photo';
 $lang['%d images']='%d photos';
@@ -23,16 +23,21 @@
 $lang['images posted during the last %d days'] = "photos posted during the last %d days";
 $lang['delete all images from your favorites'] = "delete all photos from your favorites";
+$lang['Complete RSS feed (images, comments)'] = 'Complete RSS feed (photos, comments)';
+$lang['Image only RSS feed'] = 'Photos only RSS feed';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.';
+$lang['Maximum height of the pictures'] = 'Maximum photo height';
+$lang['Maximum width of the pictures'] = 'Maximum photo width';
+$lang['display all elements in all sub-albums'] = 'display all photos in all sub-albums';
+$lang['The number of images per row must be a not null scalar'] = 'The number of photos per row must be a not null scalar';
+$lang['Number of images per row'] = 'Number of photos per row';
+$lang['Elements posted within the last %d day.'] = 'Photos posted within the last %d day.';
+$lang['Elements posted within the last %d days.'] = 'Photos posted within the last %d days.';
+$lang['picture'] = 'photo';
+$lang['Click on the picture to see it in high definition'] = 'Click on the photo to see it in high definition';
 
-/*-*/$lang['shows images at the root of this album'] = 'montre les photos à la racine de cette catégorie';
+
 //
-$lang['picture'] = 'photo';
-$lang['Click on the picture to see it in high definition'] = 'Cliquer sur la photo pour la visualiser en haute définition';
-$lang['The number of images per row must be a not null scalar'] = 'Le nombre de photos par ligne doit être un entier non nul';
-$lang['Maximum height of the pictures'] = 'Hauteur maximum des photos';
 $lang['Maximum height must be a number superior to 50'] = 'La hauteur maximum des photos doit être supérieure à 50';
-$lang['Maximum width of the pictures'] = 'Largeur maximum des photos';
 $lang['Maximum width must be a number superior to 50'] = 'La largeur des photos doit être supérieure à 50';
-$lang['Complete RSS feed (images, comments)'] = 'Flux RSS complet (photos, commentaires)';
-$lang['Image only RSS feed'] = 'Flux RSS des photos uniquement';
 $lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les événements de la galerie : nouvelles photos, catégories mises à jour, nouveaux commentaires utilisateurs. À utiliser avec un lecteur de flux RSS.';
 $lang['the filesize of the picture must not exceed :'] = 'le poids de la photo ne doit pas dépasser : ';
Index: /extensions/Photos/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8712)
+++ /extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8713)
@@ -43,4 +43,12 @@
 $lang['Some info about this picture'] = "Informations sur cette photo";
 $lang['Some more (technical) info about this picture'] = "Informations (techniques) sur cette photo";
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les événements de la galerie : nouvelles photos, albums mis à jour, nouveaux commentaires utilisateur. À utiliser avec un lecteur de flux RSS.';
+$lang['display all elements in all sub-albums'] = 'afficher à plat les photos des albums et des sous-albums';
+$lang['Number of images per row'] = 'Nombre de miniatures par ligne';
+$lang['Elements posted within the last %d day.'] = 'N\'afficher que les photos récentes de moins de %d jour.';
+$lang['Elements posted within the last %d days.'] = 'N\'afficher que les photos récentes de moins de %d jours.';
+$lang['display each day with pictures, month per month'] = 'affichage année par année, mois par mois, jour par jour'; //?
+$lang['display only recently posted images'] = 'n\'afficher que les photos publiés récemment';
+$lang['return to the display of all images'] = 'retourner à l\'affichage de toutes les photos';
 
 //Admin