Index: /branches/2.1/language/ar_SA/help/cat_modify.html
===================================================================
--- /branches/2.1/language/ar_SA/help/cat_modify.html	(revision 8718)
+++ /branches/2.1/language/ar_SA/help/cat_modify.html	(revision 8718)
@@ -0,0 +1,142 @@
+<h2>تعديل البوم</h2>
+
+<h3>المعلومات</h3>
+
+<ul>
+
+<li><strong>الاسم</strong>: اعادة تسمية البوم (تغيير وهمي في حالة الالبوم الحقيقي).</li>
+
+<li><strong>description</strong>: نص قصير يعطي معلومات عامة عن الالبوم,
+   سيعرض هذا النص اسفل صفحة الصور المصغرة</li>
+
+</ul>
+
+<h3>تحريك</h3>
+
+<p>اذا كان هذا الالبوم وهمي يمكنك تحريكه.
+وهذا يعني تغيير الالبوم الاب.</p>
+
+<h3>خيارات</h3>
+
+<ul>
+
+<li><strong>نوع الوصول</strong>: تنظيم السماح. اذا جعلت البوم وهمي خاص كل الالبومات
+فيه ستكون خاصة. وعلى العكس اض اذا كانت عامة.</li>
+
+<li><strong>قفل</strong>: الالبوم وما فيه من البومات فرعية ستغلق للصيانة.</li>
+
+<li><strong>التعليقات</strong>: المستخدمون المخولون لاضافة التعليقات.</li>
+
+<li><strong>تخويل الرفع</strong>: السماح لمستخدم برفع الصور وهذا يكون للالبومات الحقيقية
+وليست الوهمية .</li>
+
+</ul>
+
+<p>يمكنك أيضا إدارة هذه الخيارات على "خصائص"
+إدارة الشاشة (الشاشات<span class="pwgScreen">الرفع</span>, <span
+class="pwgScreen">التعلبقات</span>, <span class="pwgScreen">القفل</span>,
+<span class="pwgScreen">عام/خاص</span>, <span
+class="pwgScreen">الممثل</span> متاح من <span
+class="pwgScreen">الادارة &raquo;الالبوم &raquo;
+وخصائصها</span>).</p>
+
+<h3>الترتيب</h3>
+
+<p>استخدام الصور في الترتيب الافتراضي</p>
+
+<p>بيان ما إذا كان هذا الترتيب  سينطبق أيضا على الالبومات الفرعية.</p>
+
+<p>عدد الساعات لاستخدامها في معايير الفرز المحددة مع هذا الألبوم.</p>
+<ul>
+<li><strong>تاريخ الإنشاء</strong>: وقت اخذ الصور</li>
+<li><strong>تاريخ النشر</strong>: تاريخ المزامنة</li>
+<li><strong>معدل التقييم(*)</strong>: يمكن تغيير متوسط التقييم من قبل
+الزوار</li>
+<li><strong>الاكثر زيارة (*)</strong>: الزيارة الحالية قد تغير
+الترتيب</li>
+<li><strong>اسم الملف</strong>: الاسم المعطى في حقل المعلومات</li>
+<li><strong>الرقم</strong>: الرقم الداخلي الفئات الأخيرة لديها أعلى
+رقم من سابقاتها.</li>
+
+</ul>
+<p><strong>(*)</strong>تحذير : يجب التأكد من اختبار هذه الأوامر حسب
+نفسك كما أنها يمكن أن تعطي نتائج غير متوقعة.</p>
+
+
+<h3>التمثيل</h3>
+
+<p>ممثل الألبوم هو تصغير يعرض على الصفحة الرئيسية
+(<span class="pwgScreen">category.php</span>) لتمثيل
+الألبوم
+إلا أنه يحتوي على البومات فرعية للصور مباشرة وليس (فقط كجذر
+ألبوم).</p>
+صورة  ألبوم :</p>
+
+<ul>
+
+<li><span class="pwgScreen">صفحة الصور</span>: واحدة من أزرار الإجراءات
+تتيح لك تعيين الصورة الحالية ممثلا لعرض الألبوم. يتوفر هذا الزر فقط للمشرفين.</li>
+
+<li><span class="pwgScreen">تعديل معلومات عن صورة</span>في
+الإدارة. يمكن الوصول إلى هذه الشاشة من <span
+   class="pwgScreen">picture.php</span> او <span class="pwgScreen">دفعة
+    إدارة</span> in <em>وضع الوحدة</em>. راجع التعليمات من هذه الشاشة ل
+    تفاصيل.</li>
+
+<li><span class="pwgScreen">الادارة &raquo; البومات &raquo;
+وخصائصها,
+   التمثيل</span>. راجع التعليمات من هذه الشاشة للحصول على تفاصيل.</li>
+
+<li><span class="pwgScreen">تعديل البوم</span> (الشاشة الحالية).</li>
+
+</ul>
+
+<p>اختيار ممثل يعتمد على
+<code>allow_random_representative</code> اعدادات التكوين (انظر<span
+class="filename">include/config_default.inc.php</span>).</p>
+
+<p>في الوضع الافتراضي (<code>allow_random_representative</code> يوضع ل خطأ),
+يتم تمثيل كل الألبوم يحتوي على عنصر واحد على الأقل من قبل ثابت
+العنصر. مجموعة مرة واحدة (في خلق ألبوم)، ممثل من التغييرات فقط
+عندما تسأل الادارة عن ذلك. وإذا كان ممثل من غير المناسب،
+يمكنك ان تطلب من الممثل واحدة جديدة عشوائية</strong>.</p>
+
+<p>اذا كان <code>allow_random_representative</code> الاعدادت
+المكونة
+وضعت ل صحيحة, التصنيف قد لا يحتوي على ممثل ثابت
+فقط استخدم <strong>احذف التمثيل</strong> الزر.</p>
+
+<p>إذا كان الألبوم الفرعي والبومات الصور فارغة لا يمكن أن
+تكون ممثلة من قبل أي عنصر شكرا ل <span
+class="pwgScreen">تعديل معلومات عن صورة</span> شاشة. الخيار الوحيد الحالي علىالشاشة
+هو<strong>حذف الممثل</strong> زر.</p>
+
+<h3>وصل كل عناصر الالبوم ل البوم جديد</h3>
+
+<ul>
+
+<li><strong>اسم الالبوم الوهمي</strong>: اسم الالبوم الجديد للانشاء
+كل صور التصنيف الحالي ستربط به</li>
+
+<li><strong>الالبوم الاب</strong>: المكان الذي سيكون به الالبوم الجديد,
+اتركه فارغا للانشاء في الجذر</li>
+
+</ul>
+
+<h3>وصل كل عناصر الالبوم ل البوم موجود</h3>
+
+<ul>
+
+<li><strong>البومات</strong>: اختر الالبوم المستهدف</li>
+
+</ul>
+
+<h3>ارسل ايميل معلوماتي لمجموعة اشخاص</h3>
+
+<ul>
+
+<li><strong>المجموعة</strong>: المجموعة المستقبلة</li>
+
+<li><strong>محتوى الايميل</strong>: النص للارسال لهم.</li>
+
+</ul>
Index: /branches/2.1/language/ar_SA/help/cat_perm.html
===================================================================
--- /branches/2.1/language/ar_SA/help/cat_perm.html	(revision 8718)
+++ /branches/2.1/language/ar_SA/help/cat_perm.html	(revision 8718)
@@ -0,0 +1,14 @@
+<h2>تعديل تصاريح الالبوم</h2>
+
+<p>هذه الشاشة متاحة للألبومات خاصة. هنا يمكنك تحديد
+أذون للمستخدمين والمجموعات للألبوم.</p>
+
+<h3>المجموعات</h3>
+
+<p>يمكنك إازالة أو منح الجماعات وصول الألبوم الحالي. عن طريق تعديل
+مجموعات التراخيص، وسوف يمنح المستخدمين الذين ينتمون إلى هذه الجماعات  حق الوصول او المنع إلى هذا الألبوم.</p>
+
+<h3>المستخدمون</h3>
+
+<p>يمكنك منع او اضافة التصاريح للمستخدمون لوحدهم اما المنتمون لمجموعة فيجب اعطائهم
+استثناء بالمنع او السماح</p>