Index: /extensions/PWG_Stuffs/language/no_NO/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/no_NO/index.php	(revision 8720)
+++ /extensions/PWG_Stuffs/language/no_NO/index.php	(revision 8720)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/no_NO/plugin.lang.php	(revision 8720)
+++ /extensions/PWG_Stuffs/language/no_NO/plugin.lang.php	(revision 8720)
@@ -0,0 +1,76 @@
+<?php
+
+
+
+
+//------------------------------------------------------------------------------
+//                            Modul Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3DWall';
+$lang['module_desc_piclenswall'] = 'Vis piclens 3D wall (plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> må være installert)';
+
+$lang['piclenswall_height'] = 'Vegg høyde';
+$lang['piclenswall_background_color'] = 'bakgrunds farge';
+$lang['piclenswall_black'] = 'Svart';
+$lang['piclenswall_white'] = 'Hvit';
+$lang['piclenswall_info'] = 'Så veggen fungerer strålende';
+$lang['piclenswall_info_piclens'] = 'Du må installere og aktivere <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> plugin.';
+$lang['piclenswall_info_crossdomain'] = 'Du må kopiere <a href="%s">crossdomain.xml</a> filen til roten av siden din (eller modifisere eksisterende fil).';
+$lang['piclenswall_info_param'] = '3D Wall instillingene må modifiseres i <b>Cooliris-piclens/b> plugin konfigurasjons side.';
+
+//------------------------------------------------------------------------------
+//                            Modul Mest Besøkte
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'Mest besøkte';
+$lang['module_desc_mostvisited'] = 'Vis x mest besøkte bilder i galleri eller album';
+
+$lang['stuffs_mv_nb_images'] = 'Maksimum antall bilderå vise';
+$lang['stuffs_mv_category_display'] = 'Vis album sider';
+$lang['stuffs_mv_all_cats'] = 'Alle album';
+$lang['stuffs_mv_w_thumb'] = 'Kun album med miniatyr bilder';
+$lang['stuffs_mv_wo_thumb'] = 'Kun album uten miniatyr bilder';
+$lang['stuffs_mv_selected_cats'] = 'Kun utvalgte album';
+
+$lang['stuffs_mv_cat_selection'] = 'Album valg';
+$lang['stuffs_mv_hold_ctrl'] = 'hold CTRL';
+
+//------------------------------------------------------------------------------
+//                            Modul Best Rangert
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'Best rangerte';
+$lang['module_desc_bestrated'] = 'Vis x best rangerte bilder i galleriet eller et album';
+
+//------------------------------------------------------------------------------
+//                            Modul Siste
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'Siste bilder';
+$lang['module_desc_recent'] = 'Vis x siste bilder i galleriet eller album (om det eksisterer)';
+
+//------------------------------------------------------------------------------
+//                            Modul Tilfeldig
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Tilfeldige bilder';
+$lang['module_desc_random'] = 'Vis x tilfeldige bilder i galleriet eller i album';
+
+//------------------------------------------------------------------------------
+//                            Modul Sitater
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Tilfeldig sitat';
+$lang['module_desc_citation'] = 'Vis et tilfeldig sitat';
+$lang['module_Citation_lang'] = 'Språk';
+$lang['module_Citation_code'] = 'Relatert kode';
+
+//------------------------------------------------------------------------------
+//                            Modul fremtidige bilder
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Kommende bilder';
+$lang['module_desc_featuredphotos'] = 'Vis favoritt bildene til webmasteren';
+
+?>