Index: /extensions/Download_Multi/language/lv_LV/help/download_multi.html
===================================================================
--- /extensions/Download_Multi/language/lv_LV/help/download_multi.html	(revision 8721)
+++ /extensions/Download_Multi/language/lv_LV/help/download_multi.html	(revision 8721)
@@ -0,0 +1,10 @@
+<h2>Multi Lejuplāde </h2>
+<p>Lejuplādēt fotogrāfijas no vairākām lapām</p>
+<p>Lai viss darbotos pareizi, jūsu pārlūkam ir jābūt aktivētam  JavaScript.</p>
+<h3>Lietošana</h3>
+<p>Lai lejuplādētu jūsu izvēlētos attēlus, jums tie jāatlasa, atzīmējot tos zem sīkbildēm vai klikšķinot uz pogas atlasīt visus ( <span class="pwgScreen">Select all)</span>. Tad jāklikšķina uz pogas Pievienot grozam ( <span class="pwgScreen">Add in cart)</span>. Lapas lejasdaļā parādīsies paziņojums::
+<blockquote>
+  <p>Jūsu grozā patlaban ir 10 attēli. Būsim ļoti pateicīgi, ja pirms jaunas atlases iztukšosit grozu.</p>
+  <p>Lai pārbaudītu sava groza saturu, klikšķiniet uz pogas Pārbaudīt grozu (Ch<span class="pwgScreen">eck cart)</span>. Šī lapa dod jums iespēju redzēt grozā esošo attēlu tipu un izņemt no groza nevajadzīgo (pa vienam), klikšķinot uz dzēšanas pogas.</p>
+</blockquote>
+<p>Lai lejupielādētu savu grozu, klikšķiniet uz pogas Lejuplādēt grozu ( <span class="pwgScreen">Download your cart)</span>. Jums ir iespēja precizēt savu zip failu prefiksu, vai atstāt pēc noklusējuma. Lai tiktu nākošajā etapā, klikšķiniet pogu Sūtīt ( <span class="pwgScreen">Send)</span>. Tiek parādīts failu saraksts. Lai dabūtu failus, jums tikai jānoklikšķina uz faila nosaukumiem, jūsu pārlūks piedāvās tālākās darbības. No šīs lapas ir iespēja izdzēst zip failus. Jūs varat atlasīt visus failus, klikšķinot pogu Atlasīt (S<span class="pwgSreen">elect)</span>, vai varat atlasīt individuāli katru failu atsevišķi, klikšķinot izvēlnes rūtiņā blakus faila nosaukumam. Tad klikšķiniet pogu Dzēst ( <span class="pwgScreen">Delete), lai </span> izdzēstu atlasītos failus.</p> 
Index: /extensions/Download_Multi/language/lv_LV/help/index.php
===================================================================
--- /extensions/Download_Multi/language/lv_LV/help/index.php	(revision 8721)
+++ /extensions/Download_Multi/language/lv_LV/help/index.php	(revision 8721)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>