Index: /extensions/rv_gmaps/trunk/admin/admin_sync.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/admin/admin_sync.tpl	(revision 8723)
+++ /extensions/rv_gmaps/trunk/admin/admin_sync.tpl	(revision 8724)
@@ -5,5 +5,5 @@
 <ul>
 	<li>{$metadata_result.NB_ELEMENTS_DONE} {'photos updated in the database'|@translate}</li>
-	<li>{$metadata_result.NB_ELEMENTS_CANDIDATES} {'images candidates for metadata synchronization'|@translate}</li>
+	<li>{$metadata_result.NB_ELEMENTS_CANDIDATES} {'photos candidates for metadata synchronization'|@translate}</li>
 	<li>{$metadata_result.NB_ERRORS} {'errors during synchronization'|@translate}</li>
 </ul>
Index: /extensions/rv_gmaps/trunk/changelog.txt
===================================================================
--- /extensions/rv_gmaps/trunk/changelog.txt	(revision 8723)
+++ /extensions/rv_gmaps/trunk/changelog.txt	(revision 8724)
@@ -65,5 +65,5 @@
 1.7.c
   - the map page opened from the picture page is not on google anymore
-  - the picture map page has a link "More pictures near this location"
+  - the picture map page has a link "More photos near this location"
   - allow custom markers instead of the default one
   - on startup, the map page is automatically centered and zoomed to the images (all cases except when viewing the entire gallery or when an url generated by Link to this page is used)
Index: /extensions/rv_gmaps/trunk/language/cs_CZ/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/cs_CZ/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/cs_CZ/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='jít na %s';
-$lang['displays all images on a map']='zobrazí všechny fotografie na mapě';
+$lang['displays all photos on a map']='zobrazí všechny fotografie na mapě';
 $lang['Viewing']='Prohlížení';
 $lang['Link to this page']='Odkaz na tuto stránku';
 $lang['Show all']='Zobrazit vše';
-$lang['show all pictures around this location']='zobrazit fotografie v okolí';
+$lang['show all photos around this location']='zobrazit fotografie v okolí';
 $lang['Search a location...']='Najít polohu...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='z %d';
 
-$lang['More pictures near this location']='Více fotografií v okolí';
+$lang['More photos near this location']='Více fotografií v okolí';
 ?>
Index: /extensions/rv_gmaps/trunk/language/de_DE/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/de_DE/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/de_DE/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='Geht nach %s';
-$lang['displays all images on a map']='Zeigt alle Bilder auf einer Karte';
+$lang['displays all photos on a map']='Zeigt alle Bilder auf einer Karte';
 $lang['Viewing']='Vorschau';
 $lang['Link to this page']='Link zu dieser Seite';
 $lang['Show all']='Zeigt Alle';
-$lang['show all pictures around this location']='zeigt alle Bilder rund um dieser Position';
+$lang['show all photos around this location']='zeigt alle Bilder rund um dieser Position';
 $lang['Search a location...']='Suche eine Position...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='aus %d';
 
-$lang['More pictures near this location']='Mehr Bilder in der Nähe dieser Position';
+$lang['More photos near this location']='Mehr Bilder in der Nähe dieser Position';
 ?>
Index: /extensions/rv_gmaps/trunk/language/en_UK/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/en_UK/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/en_UK/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='go to %s';
-$lang['displays all images on a map']='displays all images on a map';
+$lang['displays all photos on a map']='displays all photos on a map';
 $lang['Viewing']='Viewing';
 $lang['Link to this page']='Link to this page';
 $lang['Show all']='Show all';
-$lang['show all pictures around this location']='show all pictures around this location';
+$lang['show all photos around this location']='show all photos around this location';
 $lang['Search a location...']='Search a location...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='out of %d';
 
-$lang['More pictures near this location']='More pictures near this location';
+$lang['More photos near this location']='More photos near this location';
 ?>
Index: /extensions/rv_gmaps/trunk/language/es_ES/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/es_ES/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/es_ES/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='ir a %s';
-$lang['displays all images on a map']='Visualizar todas las imágenes en la mapa';
+$lang['displays all photos on a map']='Visualizar todas las imágenes en la mapa';
 $lang['Viewing']='Vista de conjunto';
 $lang['Link to this page']='Enlaces hacia esta página';
 $lang['Show all']='Presenta todo';
-$lang['show all pictures around this location']='Presenta todas las imágenes cerca de estas coordenadas';
+$lang['show all photos around this location']='Presenta todas las imágenes cerca de estas coordenadas';
 $lang['Search a location...']='Buscar un lugar...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='sobre %d';
 
-$lang['More pictures near this location']='Más imágenes cerca de este lugar';
+$lang['More photos near this location']='Más imágenes cerca de este lugar';
 ?>
Index: /extensions/rv_gmaps/trunk/language/fr_FR/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/fr_FR/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/fr_FR/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='aller à %s';
-$lang['displays all images on a map']='affiche toutes les images sur la carte';
+$lang['displays all photos on a map']='affiche toutes les images sur la carte';
 $lang['Viewing']='Aperçu';
 $lang['Link to this page']='Lien vers cette page';
 $lang['Show all']='Présente tout';
-$lang['show all pictures around this location']='Présente toutes les images à proximité de ces coordonnées';
+$lang['show all photos around this location']='Présente toutes les images à proximité de ces coordonnées';
 $lang['Search a location...']='Rechercher un lieu...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='sur %d';
 
-$lang['More pictures near this location']='Plus d\'images près de ce lieu';
+$lang['More photos near this location']='Plus d\'images près de ce lieu';
 ?>
Index: /extensions/rv_gmaps/trunk/language/hu_HU/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/hu_HU/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/hu_HU/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='ugrás %s';
-$lang['displays all images on a map']='megjeleníti az összes képet a térképen';
+$lang['displays all photos on a map']='megjeleníti az összes képet a térképen';
 $lang['Viewing']='Megnéz';
 $lang['Link to this page']='Link az oldalra';
 $lang['Show all']='Összes megjelenítése';
-$lang['show all pictures around this location']='Összes kép mellé ezeket a koordinátákat';
+$lang['show all photos around this location']='Összes kép mellé ezeket a koordinátákat';
 $lang['Search a location...']='Hely keresése...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='ki %d-től';
 
-$lang['More pictures near this location']='További képek a hely közelében';
+$lang['More photos near this location']='További képek a hely közelében';
 ?>
Index: /extensions/rv_gmaps/trunk/language/it_IT/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/it_IT/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/it_IT/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='andare a %s';
-$lang['displays all images on a map']='visualizzare tutte le immagini sulla cartina';
+$lang['displays all photos on a map']='visualizzare tutte le immagini sulla cartina';
 $lang['Viewing']='Anteprima';
 $lang['Link to this page']='Link verso questa pagina';
 $lang['Show all']='Presenta tutto';
-$lang['show all pictures around this location']='Presenta tutte le immagini in prossimità di queste coordinate';
+$lang['show all photos around this location']='Presenta tutte le immagini in prossimità di queste coordinate';
 $lang['Search a location...']='Cecare un luogo...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='su %d';
 
-$lang['More pictures near this location']='Più immagini vicino a questo luogo';
+$lang['More photos near this location']='Più immagini vicino a questo luogo';
 ?>
Index: /extensions/rv_gmaps/trunk/language/lv_LV/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/lv_LV/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/lv_LV/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='iet uz %s';
-$lang['displays all images on a map']='attēlo visus attēlus uz kartes';
+$lang['displays all photos on a map']='attēlo visus attēlus uz kartes';
 $lang['Viewing']='Aplūkošana';
 $lang['Link to this page']='Saite uz šo lapu';
 $lang['Show all']='Rādīt visu';
-$lang['show all pictures around this location']='rādīt visus attēlus ap šo (vietu) lokāciju';
+$lang['show all photos around this location']='rādīt visus attēlus ap šo (vietu) lokāciju';
 $lang['Search a location...']='Meklēt lokāciju...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='ārpus %d';
 
-$lang['More pictures near this location']='Vairāk attēlu ap šo vietu (lokāciju)';
+$lang['More photos near this location']='Vairāk attēlu ap šo vietu (lokāciju)';
 ?>
Index: /extensions/rv_gmaps/trunk/language/pl_PL/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/pl_PL/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/pl_PL/lang.php	(revision 8724)
@@ -9,9 +9,9 @@
 
 $lang['go to %s']='przejdź do %s';
-$lang['displays all images on a map']='wyświetla wszystkie obrazy na mapie';
+$lang['displays all photos on a map']='wyświetla wszystkie obrazy na mapie';
 $lang['Viewing']='Przeglądanie';
 $lang['Link to this page']='Link do tej strony';
 $lang['Show all']='Pokaż wszystko';
-$lang['show all pictures around this location']='pokaż wszystkie obrazy w pobliżu tej lokalizacji';
+$lang['show all photos around this location']='pokaż wszystkie obrazy w pobliżu tej lokalizacji';
 $lang['Search a location...']='Szukaj lokalizacji...';
 
@@ -23,4 +23,4 @@
 $lang['out of %d']='z %d';
 
-$lang['More pictures near this location']='Więcej obrazów w pobliżu tej lokalizacji';
+$lang['More photos near this location']='Więcej obrazów w pobliżu tej lokalizacji';
 ?>
Index: /extensions/rv_gmaps/trunk/language/ru_RU/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/ru_RU/lang.php	(revision 8723)
+++ /extensions/rv_gmaps/trunk/language/ru_RU/lang.php	(revision 8724)
@@ -8,9 +8,9 @@
 
 $lang['go to %s']='Идти к %s';
-$lang['displays all images on a map']='Показать все изображения на карте';
+$lang['displays all photos on a map']='Показать все изображения на карте';
 $lang['Viewing']='Просмотр';
 $lang['Link to this page']='Ссылка на эту страницу';
 $lang['Show all']='Показать все';
-$lang['show all pictures around this location']='показать все изображения поблизости';
+$lang['show all photos around this location']='показать все изображения поблизости';
 $lang['Search a location...']='Поиск места...';
 
@@ -22,4 +22,4 @@
 $lang['out of %d']='out of %d';
 
-$lang['More pictures near this location']='Больше изображений поблизости';
+$lang['More photos near this location']='Больше изображений поблизости';
 ?>
Index: /extensions/rv_gmaps/trunk/template/data_handler.js
===================================================================
--- /extensions/rv_gmaps/trunk/template/data_handler.js	(revision 8723)
+++ /extensions/rv_gmaps/trunk/template/data_handler.js	(revision 8724)
@@ -176,5 +176,5 @@
 	if (this.options.show_all_img_src)
 		imgShowAll = '<img src="'+this.options.show_all_img_src+'" alt="" style="border:0" /> ';
-	content += '<a id="pwgImageBlowup" href="'+marker.pwg.blowup_url+'" onclick="return PwgDataHandler.blowupUrl(this.href);" title='+Localization.getQ('show all pictures around this location')+'>'+
+	content += '<a id="pwgImageBlowup" href="'+marker.pwg.blowup_url+'" onclick="return PwgDataHandler.blowupUrl(this.href);" title='+Localization.getQ('show all photos around this location')+'>'+
 						imgShowAll+ '<span>'+Localization.get('Show all')+'</span>'+
 					'</a>';
Index: /extensions/rv_gmaps/trunk/template/map.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/template/map.tpl	(revision 8723)
+++ /extensions/rv_gmaps/trunk/template/map.tpl	(revision 8724)
@@ -165,5 +165,5 @@
 "Failed": "{'Failed'|@translate|@escape:javascript}",
 "Show all": "{'Show all'|@translate|@escape:javascript}",
-"show all pictures around this location": "{'show all pictures around this location'|@translate|@escape:javascript}",
+"show all photos around this location": "{'show all photos around this location'|@translate|@escape:javascript}",
 "displays %s on a map" : "{'displays %s on a map'|@translate|@escape:javascript}",
 "opens %s in Google Earth" : "{'opens %s in Google Earth'|@translate|@escape:javascript}",
@@ -207,6 +207,6 @@
     <a id="aKml" href="" type="application/vnd.google-earth.kml+xml" class="gmnoprint"><img src="http://maps.google.com/mapfiles/ms/view_as_kml.png" width="16" height="16" alt="kml" /> <span>KML</span></a>
     <a id="aLinkToThisPage" href="" class="gmnoprint"><img src="http://maps.google.com/mapfiles/bar_icon_link.gif" alt="&lt;-&gt;" width="16" height="16" /> <span>{'Link to this page'|@translate}</span></a>
-    <a id="aBlowup" href="" onclick="return PwgDataHandler.blowupUrl(this.href);" class="gmnoprint" title="{'show all pictures around this location'|@translate}">
-			<img src="{$PLUGIN_ROOT_URL}/icons/pic_s.gif" alt="" title="{'show all pictures around this location'|@translate}" />
+    <a id="aBlowup" href="" onclick="return PwgDataHandler.blowupUrl(this.href);" class="gmnoprint" title="{'show all photos around this location'|@translate}">
+			<img src="{$PLUGIN_ROOT_URL}/icons/pic_s.gif" alt="" title="{'show all photos around this location'|@translate}" />
 			<span>{'Show all'|@translate}</span>
 		</a>
@@ -223,5 +223,5 @@
   <div class="titlebar_title">
     <a href="{$U_HOME}" class="gmnoprint">{'Home'|@translate}</a>
-    <a href="{$U_HOME_MAP}" title="{'displays all images on a map'|@translate}"><img src="{$PLUGIN_ROOT_URL}/icons/map_sw.gif" width="32" height="17" alt="map"/></a>
+    <a href="{$U_HOME_MAP}" title="{'displays all photos on a map'|@translate}"><img src="{$PLUGIN_ROOT_URL}/icons/map_sw.gif" width="32" height="17" alt="map"/></a>
     {'Viewing'|@translate}: <a id="aPageUrl" href=""></a>
   </div>
Index: /extensions/rv_gmaps/trunk/template/picture_map_content.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/template/picture_map_content.tpl	(revision 8723)
+++ /extensions/rv_gmaps/trunk/template/picture_map_content.tpl	(revision 8724)
@@ -27,5 +27,5 @@
 <a href="{$U_NO_MAP}" title="{'return to normal view mode'|@translate}" rel="nofollow"><img src="{$TN_SRC}" alt="thumb"/></a>
 <br/>
-<a href="{$U_BLOWUP}" onclick="return blowupUrl(this.href);">{'More pictures near this location'|@translate}</a>
+<a href="{$U_BLOWUP}" onclick="return blowupUrl(this.href);">{'More photos near this location'|@translate}</a>
 <br/>
 {$COMMENT_IMG}