Index: trunk/language/lv_LV/admin.lang.php
===================================================================
--- trunk/language/lv_LV/admin.lang.php	(revision 8723)
+++ trunk/language/lv_LV/admin.lang.php	(revision 8727)
@@ -60,5 +60,4 @@
 $lang['Albums authorized thanks to group associations'] = 'Albūmi autorizēti dēļ grupu apvienībēm';
 $lang['Album manual order was saved'] = 'Albūmu kārtība saglabāta';
-$lang['Album elements associated to the following albums: %s'] = 'Albūma attēli saistīti ar sekojošiem albūmiem: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Pārbaude pēc uzlabojuma nezināmu iemeslu dēļ nav izdevusies.';
 $lang['Check for upgrade'] = 'Pārbaudīt uzlabojumu';
@@ -131,10 +130,10 @@
 $lang['Permission granted thanks to a group'] = 'Piekļuve atļauta pateicoties grupai';
 $lang['Permission granted'] = 'Piekļuve atļauta';
-$lang['Picture informations updated'] = 'Informācija par attēlu atjaunota';
+$lang['Photo informations updated'] = 'Informācija par attēlu atjaunota';
 $lang['Plugins'] = 'Spraudņi';
 $lang['Position'] = 'Pozīcijas';
 $lang['Preferences'] = 'Iestatījumi';
 $lang['Properties'] = 'Īpašības';
-$lang['Random picture'] = 'Gadījuma bilde';
+$lang['Random photo'] = 'Gadījuma bilde';
 $lang['Rate date'] = 'Vērtēšanas datums';
 $lang['Rating by guests'] = 'Viesu novērtējums';
@@ -206,5 +205,4 @@
 $lang['Album updated successfully'] = 'Informācija par albūmu veiksmīgi atjaunota.';
 $lang['photos per page'] = 'elementu skaits lapā';
-$lang['elements'] = 'elementi';
 $lang['High definition enabled'] = 'Augstā izšķirtspēja iespējota';
 $lang['File'] = 'Fails';
@@ -350,10 +348,10 @@
 $lang['Database synchronization with files'] = 'Datu bāzes sinhronizācija ar failiem';
 $lang['all'] = 'viss';
-$lang['pictures without thumbnail (jpeg and png only)'] = 'attēli bez piktogrammām ( tikai jpeg and png)';
+$lang['photos without thumbnail (jpeg and png only)'] = 'attēli bez piktogrammām ( tikai jpeg and png)';
 $lang['height must be a number superior to'] = 'augstuman jābūt skaitlim lielākam par';
 $lang['width must be a number superior to'] = 'platumam jābūt skaitlim lielākam par';
 $lang['for the file format'] = 'faila formātam';
 $lang['No missing thumbnail'] = 'Piktogrammas ir visiem attēliem';
-$lang['Picture unreachable or no support'] = 'Attēls nav pieejams vai neatbalsītā formātā';
+$lang['Photo unreachable or no support'] = 'Attēls nav pieejams vai neatbalsītā formātā';
 $lang['GD version'] = 'GD versija';
 $lang['Miniaturization parameters'] = 'Miniaturizēšanas parametri';
@@ -364,5 +362,5 @@
 $lang['average time'] = 'vidējais laiks';
 $lang['min time'] = 'minimālais laiks';
-$lang['number of miniaturized pictures'] = 'Izveidoto piktogrammu skaits';
+$lang['number of miniaturized photos'] = 'Izveidoto piktogrammu skaits';
 $lang['total time'] = 'kopējais laiks';
 $lang['for this file format'] = 'šim faila formātam';
@@ -390,5 +388,5 @@
 $lang['photos deleted from the database'] = 'no datu bāzes izdzēsti elementi';
 $lang['photos candidates for metadata synchronization'] = 'attēli, lai sinhronizētu metadatus';
-$lang['elements informations synchronized with files metadata'] = 'informācija par elementiem sinhronizēta ar metadatiem';
+$lang['photos informations synchronized with files metadata'] = 'informācija par elementiem sinhronizēta ar metadatiem';
 $lang['errors during synchronization'] = 'kļūdas sinhronizācijas laikā';
 $lang['albums added in the database'] = 'datu bāzei pievienoti albūmi';
@@ -403,5 +401,5 @@
 $lang['only directories'] = 'tikai mapes';
 $lang['synchronize files structure with database'] = 'sinhronizēt failu struktūru ar datubāzi';
-$lang['synchronize files metadata with database elements informations'] = 'sinhronizēt failu metadatus ar informāciju datubāzē';
+$lang['synchronize files metadata with database photos informations'] = 'sinhronizēt failu metadatus ar informāciju datubāzē';
 $lang['even already synchronized photos'] = 'ieskaitot jau sinhronizētos elemantus';
 $lang['Used metadata'] = 'Lietotie metadati';
@@ -427,5 +425,4 @@
 $lang['Day'] = 'Diena';
 $lang['Pages seen'] = 'Lapas apskatītas';
-$lang['Pictures'] = 'Attēli';
 $lang['Time'] = 'Laiks';
 $lang['IP'] = 'IP';
Index: trunk/language/lv_LV/common.lang.php
===================================================================
--- trunk/language/lv_LV/common.lang.php	(revision 8723)
+++ trunk/language/lv_LV/common.lang.php	(revision 8727)
@@ -291,16 +291,5 @@
 $lang['Update your rating'] = "Atjaunojiet savu vērtējumu";
 $lang['wrong filename'] = "nepareizs faila vārds";
-$lang['the filesize of the picture must not exceed :'] = "attēla faila izmērs nedrīkst pārsniegt :";
-$lang['the picture must be to the fileformat jpg, gif or png'] = "attēla formātam jābūt jpg, gif or png";
-$lang['the height of the picture must not exceed :'] = "attēla augstums nedrīkst pārsniegt :";
-$lang['Optional, but recommended : choose a thumbnail to associate to'] = "Pēc izvēles, bet ieteicams: izvēlēties sīkbildi ar ko saistīt lai";
-$lang['the width of the picture must not exceed :'] = "attēla platums nedrīkst pārsniegt :";
-$lang['can\'t upload the picture on the server'] = "attēlu nav iespējam augšupielādēt";
 $lang['the username must be given'] = "nepieciešams lietotāja vārds";
-$lang['A picture\'s name already used'] = "šis attēla vārds jau tiek lietots";
-$lang['You must choose a picture fileformat for the image'] = "Jums jāizvēlas attēla faila formāts";
-$lang['Name of the picture'] = "attēla vārds";
-$lang['Upload a picture'] = "Augšupielādēt attēlu";
-$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = "Attēls veiksmīgi augšupielādēts un administrātors to apstiprinās pēc iespējas ātrāk";
 $lang['useful when password forgotten'] = "derīgi, ja aizmirsta parole";
 $lang['Quick search'] = "Ātrā meklēšana";
@@ -316,6 +305,4 @@
 $lang['Registration of %s'] = "Reģistrācija %s";
 $lang['Album: %s'] = 'Albūms: %s';
-$lang['Picture name: %s'] = "Attēla vārds: %s";
-$lang['Creation date: %s'] = "Izveides datums: %s";
 $lang['Picture uploaded by %s'] = "Attēlu augšupielādējis %s";
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Lietotāja \"viesis\" nepareizs satuss, lietojiet statusu pēc noklusējuma. Lūdzu informējiet webmasteru.";
@@ -340,5 +327,4 @@
 $lang['display photos linked to this tag'] = "Skatīt attēlus, kas saistīti tikai ar šo tagu";
 $lang['photos posted during the last %d days'] = "attēli, kas publicēti %d dienas";
-$lang['Choose an image'] = "Izvēlieties attēlu";
 $lang['Piwigo Help'] = "Piwigo palīgs";
 $lang['Rank'] = "Rinda";