Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 8728)
+++ /extensions/Autosize/autosize.inc.php	(revision 8729)
@@ -316,5 +316,15 @@
  }
 
-
+ function auto_memo_var($variables)
+{
+  ob_start();
+  echo '<pre>';
+  print_r($variables);
+  echo '</pre>';
+  $m= ob_get_contents();
+  ob_end_clean();
+  return $m;		
+}
+    
 
 ?>
Index: /extensions/Autosize/css/autosize.css
===================================================================
--- /extensions/Autosize/css/autosize.css	(revision 8728)
+++ /extensions/Autosize/css/autosize.css	(revision 8729)
@@ -1,8 +1,3 @@
-#theImage{ 
- 
-    opacity: 1.0 ;
-      
-       } 
-   
+  
 /* jQuery ui resizable */
 .ui-resizable { position: relative; }
@@ -23,2 +18,23 @@
 .ui-resizable-nw { cursor: nw-resize; width: 9px; height: 9px; left: 0px; top: 0px; background: transparent url(images/resizable-nw.gif); }
 .ui-resizable-ne { cursor: ne-resize; width: 9px; height: 9px; right: 0px; top: 0px; background: transparent url(images/resizable-ne.gif); }
+#theImage {
+    opacity: 0;
+    filter: alpha(opacity:0);
+    padding-bottom: 0px;
+    padding-left: 0px;
+}
+#the_page{
+position:static ;
+ 
+}
+#mapPicture{
+top:40% ;
+
+}
+#mapPicture{
+top:40% ;
+
+}
+#imageContainer{
+height:2000px;
+}
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 8728)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 8729)
@@ -52,20 +52,20 @@
 
 //==========================================================================
-function Wait_Affichage() { 
+function Wait_Affichage() {
+   
+            fade_in = parseInt(fade_in);
     if(!jQuery().newResize()) {
                  setTimeout("Wait_Affichage()", 500);
                  return
              }
-
-             fade_in = parseInt(fade_in);
-             if (fade_in == 0) {
-                 if (msie)
-                     jQuery(Parent).css({opacity:"1",filter: "alpha(opacity=100)"});
-             else
-                 jQuery(Parent).css("opacity","1");
-             } else {
-                 jQuery(Parent).animate(
-                         { opacity: 1 }, fade_in, "swing"
+  
+             if (fade_in == 0) {               
+                     jQuery(Parent).css({opacity:"1" });
+         } else {
+
+                jQuery(Parent).animate(
+                         { opacity: "1" }, fade_in, "swing"
                        , function (i) {
+                           jQuery(Parent).css({ opacity: "1" });
                            if (DEBUG == "true") {
                                bp1 = jQuery('.debug').get(nu_img);
@@ -85,19 +85,20 @@
 jQuery(document).ready(
      function (jQuery) {
+         jQuery(window).unload(function () {
+             
+
+
+         });
          jQuery(window).load(function () {
-             if (fade_in != 0) {
-                 if (msie)
-                     jQuery("#theImage").css({ opacity: "0" });
-                 else
-                     jQuery("#theImage").css({ opacity: "0" });
-             }
+
+             //  jQuery("#theImage").css({ opacity: "0" });
+
+             jQuery("#the_page").css({ top: "0px" });
+
              //======= cl_conflit ======
              img_top = "0";
              rapport = -1;
-
              marges_llgbo = 0;
              pos = 0;
-
-
              //=============================================================
              function cl_Timer() {
@@ -133,6 +134,5 @@
              img_finale = { height: 0, width: 0 };
              Zone_Affichage = { height: 0, width: 0 };
-
-             //============================================================
+             //============================================================        
 
              Info_the_page = jQuery("#the_page").infos();
@@ -150,5 +150,6 @@
              }
              old_window = { width: 0, height: 0 };
-             Wait_Affichage();
+             jQuery("#theImage").trigger('ON');
+
              old_window = { width: 0, height: 0 };
              jQuery().newResize();
@@ -255,6 +256,6 @@
                  var info_ToolBar = jQuery("#imageToolBar").infos();
                  var marge = 0;
-                 marge_right = 0;
-                 marge_left = 0;
+                 var marge_right = 0;
+                 var marge_left = 0;
                  if (theme.match(RegExp("simple", "g"))) {
                      if (info_ToolBar.width > 0)
@@ -263,6 +264,6 @@
                          marge = (Zone_Affichage.width - info_the_page.width) / 2;
 
-                     var marge_right = marge;
-                     var marge_left = marge;
+                     marge_right = marge;
+                     marge_left = marge;
 
                      if (info_content.width > 100) {
@@ -274,7 +275,12 @@
 
                      }
-                 }
-                 else
+                 } else {
+                     if (info_ToolBar.width > 0)
+                         marge = (info_the_page.width - info_ToolBar.width) / 2;
+
+                     marge_right = marge;
+                     marge_left = marge;
                      winwidth = info_the_page.width;
+                 }
 
 
@@ -328,9 +334,9 @@
                          jQuery("#map").css("left", info_map.width + "px");
                          Bandeau_bas.height = 10;
-                        
+
                          if (theme.match(RegExp("simple", "g"))) {
                              img_reelle.width = winwidth; //- info_map.width -marge_right;
-                         } else { 
-                          img_reelle.width = winwidth - info_map.width -marge_right;
+                         } else {
+                             img_reelle.width = winwidth - info_map.width - marge_right;
                          }
 
@@ -610,5 +616,10 @@
                          heightgbo = img_finale.height;
                          img_finale.width -= marges_llgbo;
-                         img_finale.height -= marges_llgbo;
+                         if (jQuery("#slideshow").infos().width > 0) {
+                             img_finale.height -= (marges_llgbo * 1.5);
+                         } else {
+                             img_finale.height -= marges_llgbo
+                         }
+
 
                          if (wingbo > winwidth) {
@@ -668,10 +679,4 @@
                  //================ Zone affichage =========================
 
-                 if (theme.match(RegExp("luciano", "g"))) {
-                     //---- information en dehors du cadre 
-                     jQuery(Cadre).height(Zone_Affichage.height -= Bandeau_bas.height);
-                 }
-
-                 //=========================================================
 
                  //  jQuery(Cadre).css("top", "0px");
@@ -683,6 +688,12 @@
                  Image_width = img_finale.width;
                  //=========================================================================
-                 jQuery(Cadre).css({ marginLeft: marge_left + "px"
-                 });
+                 if (jQuery("#slideshow").infos().width > 0) {
+
+                     jQuery(Cadre).css({ marginLeft: "auto"
+                     });
+                 }
+                 else
+                     jQuery(Cadre).css({ marginLeft: marge_left + "px"
+                     });
                  jQuery(Cadre).width(Zone_Affichage.width);
                  //   jQuery(Cadre).height(Zone_Affichage.height);
@@ -816,11 +827,13 @@
                  }
 
-
-
+                 jQuery("#imageContainer").css({ height: "auto" });
 
                  jQuery("#navThumbPrev").css({ overflow: "hidden" });
                  jQuery("#navThumbNext").css({ overflow: "hidden" });
                  n = typeof inittoolbar;
-
+                 if (Type_Img == "map") {
+                     jQuery("#navThumbNext").css({ display: 'none' });
+                     jQuery("#navThumbPrev").css({ display: 'none' });
+                 }
                  try {
                      if (theme.match(RegExp("gally", "gi"))) {
@@ -835,6 +848,5 @@
                                  top: info_img.top + 20 + "px", overflow: "hidden"
                              });
-                             if (Type_Img == "map")
-                                 jQuery("#navThumbPrevContainer").css({ background: 'none' });
+
                          }
                          if (jQuery("#navThumbNext").length > 0) {
@@ -844,8 +856,11 @@
 
                          }
-                         if (Type_Img == "map")
-                             jQuery("#navThumbNextContainer").css({ background: 'none' });
+
+
                          if (!theme.match(RegExp("lapis", "gi"))) {
-                             initializeImageMode("resize");
+                             if (typeof initializeImageMode == "function") {
+                                 initializeImageMode("resize");
+                             }
+
                          }
 
@@ -955,5 +970,5 @@
                  *
                  */
-                  
+
                  function Info_entete(Parent) {
                      if (typeof (marge_top) != "undefined") return result;
@@ -1022,6 +1037,6 @@
                      //=============================================================================
                      info_description = { top: 0, bottom: 0, height: 0 };
-            
-
+
+                     jQuery(Parent).css({ display: "block" });
                      //====== détection du type d'images ======
                      if (jQuery("#charlie").length > 0) {
@@ -1085,4 +1100,5 @@
                      if (theme.match(RegExp("luciano", "g"))) {
                          TheImg = jQuery(Parent + " #theImg img");
+
                          info_img = jQuery(TheImg).infos();
 
@@ -1242,5 +1258,19 @@
 
                      if (theme.match(RegExp("luciano", "g"))) {
-                         //info_description.bottom -= 30 
+                         info_description.bottom -= 0;
+
+                        
+                             correction = -30;
+                             Info_slidshowToolBar = jQuery("#slidshowToolBar").infos();
+
+                             if (Info_slidshowToolBar.height > 0) {
+                                 correction -= (Info_slidshowToolBar.height);
+                                 info_description.top -= 90;
+
+                             }
+                              
+                       
+
+                         //=========================================================
                      }
 
@@ -1336,5 +1366,8 @@
              Wait_Affichage();
          });
-
+         jQuery(Parent).live('ON', function (e) {
+             jQuery(jQuery('.debug').get(1)).trigger('ON');
+             Wait_Affichage();
+         });
 
          // Custom Event, ON to turn on a debug. 
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 8728)
+++ /extensions/Autosize/js/conflit.js	(revision 8729)
@@ -3,4 +3,5 @@
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
+//   $_SERVER['HTTP_USER_AGENT'] ;
 var OS, version;
 //============================================================================== 
@@ -8,4 +9,5 @@
 
 function detect_browser() {
+    
     mybrowser = {
         browser: "",
@@ -37,5 +39,6 @@
         else OS = "an unknown operating system";
     }
-
+    mybrowser.version =version;
+    mybrowser.OS = OS;
     mybrowser.browser = lbrowser;
     return mybrowser
@@ -64,4 +67,6 @@
 msie = mybrowser.msie || false;
 netscape = mybrowser.netscape || false;
+
+
 
 var time_out = 0;
@@ -478,7 +483,4 @@
 test_conflit = false;
 librairies = new Array;
-
-
-
 $_ = $;
 function save_framework(page) {
@@ -490,4 +492,7 @@
     } catch (e) {
 
+    }
+    if (jQuery('#browser').length > 0) {
+        jQuery('#browser').val(browser.browser);
     }
     if (typeof (Parent) == "undefined")
@@ -508,5 +513,4 @@
                     //==== compatibilité Gally/LLGBO ===                 
                     jQuery(Parent).css({ position: "static" });
-
                 }
             } catch (e) {
Index: /extensions/Autosize/js/jquery.dimensions.js
===================================================================
--- /extensions/Autosize/js/jquery.dimensions.js	(revision 8728)
+++ /extensions/Autosize/js/jquery.dimensions.js	(revision 8729)
@@ -113,4 +113,5 @@
                     height = jQuery(elem).height();
                 } else {
+
                     Css = jQuery(elem).getStyles(elem);
                     myposition = Css.position || "";
@@ -119,8 +120,8 @@
 
 
-                    borderwidth.left = jQuery(elem).Get_Val_int(Css.borderLeftWidth);
-                    borderwidth.right = jQuery(elem).Get_Val_int(Css.borderRightWidth);
-                    borderwidth.top = jQuery(elem).Get_Val_int(Css.borderTopWidth);
-                    borderwidth.bottom = jQuery(elem).Get_Val_int(Css.borderBottomWidth);
+                    borderwidth.left = jQuery(elem).Get_Val_int(Css.borderLeftWidth, "", "", 'borderLeftWidth');
+                    borderwidth.right = jQuery(elem).Get_Val_int(Css.borderRightWidth, "", "", 'borderRightWidth');
+                    borderwidth.top = jQuery(elem).Get_Val_int(Css.borderTopWidth, "", "", 'borderTopWidth');
+                    borderwidth.bottom = jQuery(elem).Get_Val_int(Css.borderBottomWidth, "", "", 'borderBottomWidth');
                     try {
                         borderwidth.width = Css.borderWidth;
@@ -131,8 +132,10 @@
 
 
-                    margin.left = jQuery(elem).Get_Val_int(Css.marginLeft);
-                    margin.right = jQuery(elem).Get_Val_int(Css.marginRight);
-                    margin.top = jQuery(elem).Get_Val_int(Css.marginTop);
-                    margin.bottom = jQuery(elem).Get_Val_int(Css.marginBottom);
+                    margin.left = jQuery(elem).Get_Val_int(Css.marginLeft, "", "", 'marginLeft');
+                    margin.right = jQuery(elem).Get_Val_int(Css.marginRight, "", "", 'marginRight');
+                    margin.top = jQuery(elem).Get_Val_int(Css.marginTop, "", "", 'marginTop');
+                    margin.bottom = jQuery(elem).Get_Val_int(Css.marginBottom, "", "", 'marginBottom');
+
+
                     try {
                         margin.margin = Css.margin;
@@ -141,8 +144,10 @@
                     }
 
-                    padding.left = jQuery(elem).Get_Val_int(Css.paddingLeft);
-                    padding.right = jQuery(elem).Get_Val_int(Css.paddingRight);
-                    padding.top = jQuery(elem).Get_Val_int(Css.paddingTop);
-                    padding.bottom = jQuery(elem).Get_Val_int(Css.paddingBottom);
+
+                    padding.left = jQuery(elem).Get_Val_int(Css.paddingLeft, "", "", 'paddingLeft');
+                    padding.right = jQuery(elem).Get_Val_int(Css.paddingRight, "", "", 'paddingRight');
+                    padding.top = jQuery(elem).Get_Val_int(Css.paddingTop, "", "", 'paddingTop');
+                    padding.bottom = jQuery(elem).Get_Val_int(Css.paddingBottom, "", "", 'paddingBottom');
+
                     try {
                         padding.padding = Css.padding;
@@ -246,5 +251,5 @@
         */
 
-        Get_Val_int: function (myObj, Maxi_val, Mini_val) {
+        Get_Val_int: function (myObj, Maxi_val, Mini_val, prop) {
             var val = 0;
             Maxi_val = parseInt(Maxi_val || "0");
@@ -263,43 +268,48 @@
 
             if (typeof (myObj) == "string") {
-
-                if (myObj == "none") return Maxi_val;
+                switch (myObj) {
+                    case 'thin':
+                        return 1;
+                        break;
+                    case 'medium':
+                        return 2;
+                        break;
+                    case 'thick':
+                        return 4;
+                        break;
+                    case 'inherit':
+                        break;
+                    case 'none':
+                        return Maxi_val;
+                        break;
+                    default:
+                        break;
+                }
+                el = this.get(0);
                 var reg1 = new RegExp("auto", "g")
                 if (myObj.match(reg1)) {
                     return Maxi_val;
                 }
-                reg1 = new RegExp("px", "g")
-                if (myObj.match(reg1)) {
-
-                    myObj = parseInt(myObj);
-
-                }
+                if (prop)
+                    myObj = num(el, prop);
                 else {
-                    reg1 = new RegExp("%", "g")
+                    reg1 = new RegExp("px", "g")
                     if (myObj.match(reg1)) {
-                        val = Math.ceil(myObj * Maxi_val / 100);
-                        return val;
-                    }
+
+                        myObj = parseInt(myObj);
+
+                    } else {
+                        reg1 = new RegExp("%", "g")
+                        if (myObj.match(reg1)) {
+                            val = Math.ceil(myObj * Maxi_val / 100);
+                            return val;
+                        }
+
+                    }
+
                 }
 
                 if (Mini_val)
                     if (myObj < Mini_val) return Maxi_val;
-
-                switch (myObj) {
-                    case 'thin':
-                        return 1;
-                        break;
-                    case 'medium':
-                        return 2;
-                        break;
-                    case 'thick':
-                        return 4;
-                        break;
-                    case 'inherit':
-                        break;
-                    default:
-                        break;
-                }
-
 
 
Index: /extensions/Autosize/language/fr_FR/lang.php
===================================================================
--- /extensions/Autosize/language/fr_FR/lang.php	(revision 8728)
+++ /extensions/Autosize/language/fr_FR/lang.php	(revision 8729)
@@ -1,4 +1,5 @@
 <?php
 global $lang;
+
 $lang['cl_autosize_hlp_line3'] = "Si la taille originale de la photo à afficher est inférieure à cette valeur, le redimensionnement automatique sera inhibé. "  ;
 
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 8728)
+++ /extensions/Autosize/main.inc.php	(revision 8729)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.4.2.6
+Version: 1.4.3
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
Index: /extensions/Autosize/template/autosize.tpl
===================================================================
--- /extensions/Autosize/template/autosize.tpl	(revision 8728)
+++ /extensions/Autosize/template/autosize.tpl	(revision 8729)
@@ -5,4 +5,5 @@
     {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"} 
  <script type="text/javascript">
+
     var fade_in = '{$fade_in}';
     var cl_visible = "{$cl_visible}" =="true";
@@ -45,5 +46,4 @@
     var check_desc_v = '{$check_desc_v}';
      </script>
-
 {known_script id="Affiche_script" src=$AUTOSIZE_PATH|@cat:"js/Affiche_script.js"}
 <link href="{$AUTOSIZE_PATH}css/autosize.css" rel="stylesheet" type="text/css" />
Index: /extensions/Autosize/template/conflit.tpl
===================================================================
--- /extensions/Autosize/template/conflit.tpl	(revision 8728)
+++ /extensions/Autosize/template/conflit.tpl	(revision 8729)