Index: /extensions/Photos/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Photos/language/en_UK/plugin.lang.php	(revision 8735)
+++ /extensions/Photos/language/en_UK/plugin.lang.php	(revision 8736)
@@ -1,11 +1,12 @@
 <?php
-//common
+// common
 $lang['%d new image'] = '%d new photo';
 $lang['%d new images'] = '%d new photos';
 $lang['add this image to your favorites'] = 'add this photo to your favorites';
 $lang['display best rated items'] = 'display best rated photos';
-$lang['display each day with pictures, month per month'] = "display each day with photos, month per month";
+$lang['display each day with pictures, month per month'] = 'display each day with photos, month per month';
 $lang['delete this image from your favorites'] = 'delete this photo from your favorites';
 $lang['display my favorites pictures'] = 'display your favorites photos';
+$lang['shows images at the root of this album'] = 'display this album';
 $lang['display most visited pictures'] = 'display most visited photos';
 $lang['Rate this picture'] = 'Rate this photo';
@@ -14,13 +15,13 @@
 $lang['Recent pictures'] = 'Recent photos';
 $lang['display most recent pictures'] = 'display most recent photos';
-$lang['display only recently posted images'] = "display only recently posted photos";
-$lang['return to the display of all images'] = "return to the display of all photos";
-$lang['%d image']='%d photo';
-$lang['%d images']='%d photos';
-$lang['%d image is also linked to current tags'] = "%d photo is also linked to current tags";
-$lang['%d images are also linked to current tags'] = "%d photos are also linked to current tags";
-$lang['See images linked to this tag only'] = "display photos linked to this tag";
-$lang['images posted during the last %d days'] = "photos posted during the last %d days";
-$lang['delete all images from your favorites'] = "delete all photos from your favorites";
+$lang['display only recently posted images'] = 'display only recently posted photos';
+$lang['return to the display of all images'] = 'return to the display of all photos';
+$lang['%d image'] = '%d photo';
+$lang['%d images'] = '%d photos';
+$lang['%d image is also linked to current tags'] = '%d photo is also linked to current tags';
+$lang['%d images are also linked to current tags'] = '%d photos are also linked to current tags';
+$lang['See images linked to this tag only'] = 'display photos linked to this tag';
+$lang['images posted during the last %d days'] = 'photos posted during the last %d days';
+$lang['delete all images from your favorites'] = 'delete all photos from your favorites';
 $lang['Complete RSS feed (images, comments)'] = 'Complete RSS feed (photos, comments)';
 $lang['Image only RSS feed'] = 'Photos only RSS feed';
@@ -36,36 +37,37 @@
 $lang['Click on the picture to see it in high definition'] = 'Click on the photo to see it in high definition';
 
+// admin
+$lang['Edit all picture informations'] = 'Edit photo information';
+$lang['Include display of recent pictures group by dates'] = 'Include display of recent photos grouped by dates';
+$lang['Link all album elements to a new album'] = 'Link all album photos to a new album';
+$lang['Link all album elements to some existing albums'] = 'Link all album photos to some existing albums';
+$lang['Manage image ranks'] = 'Manage photo ranks';
+$lang['New elements added'] = 'New photos added';
+$lang['New elements were added'] = 'New photos were added';
+$lang['No element in this album'] = 'No photo in this album';
+$lang['Select at least one picture'] = 'Select at least one photo';
+$lang['Update images informations'] = 'Update photos information';
+$lang['Use the default image sort order (defined in the configuration file)'] = 'Use the default photo sort order (defined in the configuration file)';
+$lang['add new elements to caddie'] = 'add new photos to caddie';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'display maximum informations (added albums and photos, deleted albums and photos)';
+$lang['elements added in the database'] = 'photos added in the database';
+$lang['elements deleted in the database'] = 'photos deleted from the database';
+$lang['elements per page'] = 'photos per page';
+$lang['elements updated in the database'] = 'photos updated in the database';
+$lang['even already synchronized elements'] = 'even already synchronized photos';
+$lang['first element added on %s'] = 'first photo added on %s';
+$lang['images candidates for metadata synchronization'] = 'photos candidates for metadata synchronization';
+$lang['jump to image'] = 'jump to photo';
+$lang['manage image ranks'] = 'manage photo ranks';
 
-//
-$lang['Maximum height must be a number superior to 50'] = 'La hauteur maximum des photos doit être supérieure à 50';
-$lang['Maximum width must be a number superior to 50'] = 'La largeur des photos doit être supérieure à 50';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les événements de la galerie : nouvelles photos, catégories mises à jour, nouveaux commentaires utilisateurs. À utiliser avec un lecteur de flux RSS.';
-$lang['the filesize of the picture must not exceed :'] = 'le poids de la photo ne doit pas dépasser : ';
-$lang['the picture must be to the fileformat jpg, gif or png'] = 'le format de la photo doit être jpg, png ou gif';
-$lang['the height of the picture must not exceed :'] = 'la hauteur de la photo ne doit pas dépasser : ';
-$lang['the width of the picture must not exceed :'] = 'la largeur de la photo ne doit pas dépasser : ';
-$lang['Name of the picture'] = 'Nom de la photo';
-$lang['Upload a picture'] = 'Ajouter une photo';
-$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'Photo ajoutée avec succès, un administrateur la validera dès que possible';
-$lang['Picture name: %s'] = 'Nom de la photo : %s';
-$lang['Picture uploaded by %s'] = 'Photo téléchargée par %s';
-$lang['Choose an image'] = 'Choisir une photo à ajouter';
-$lang['Some info about this picture'] = "Informations sur cette photo";
-$lang['Some more (technical) info about this picture'] = "Informations (techniques) sur cette photo";
 
-//Admin
-$lang['Select at least one picture']= 'Select at least one photo';
-$lang['elements per page'] = 'photos per page';
-$lang['first element added on %s'] = 'first photo added on %s';
-$lang['jump to image'] = "jump to album"; // ??
-$lang['Include display of recent pictures group by dates'] = "Include display of recent photos grouped by dates";
-$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = "display maximum information (added albums and photos, deleted albums and photos)";
-$lang['elements deleted in the database'] = "photos deleted from the database";
-$lang['elements added in the database'] = "photos added in the database";
-$lang['elements updated in the database'] = "photos updated in the database";
-$lang['even already synchronized elements'] = "even already synchronized photos";
-$lang['add new elements to caddie'] = "add new photos to caddie";
-$lang['manage image ranks'] = "manage photo ranks";
-$lang['Manage image ranks'] = "Manage photo ranks";
+$lang['manage album photos'] = 'manage album elements';
+$lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
+$lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';
+$lang['number of miniaturized pictures'] = 'number of miniaturized photos';
+$lang['Picture informations updated'] = 'Photo informations updated';
+$lang['Picture unreachable or no support'] = 'Photo unreachable or no support';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'photos without thumbnail (jpeg and png only)';
+$lang['Random picture'] = 'Random photo';
 
 ?>