Index: extensions/Photos/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Photos/language/es_ES/plugin.lang.php	(revision 8737)
+++ extensions/Photos/language/es_ES/plugin.lang.php	(revision 8738)
@@ -1,26 +1,83 @@
 <?php
+// common
 $lang['%d new image'] = '%d nueva fotos';
 $lang['%d new images'] = '%d nuevas fotos';
-$lang['Complete RSS feed (images, comments)'] = 'Flujo RSS completo (fotos, comentarios)';
-$lang['Image only RSS feed'] = 'Flujo RSS sólo las fotos';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'El flujo RSS notifica eventos de la galería:fotos nuevas, categorías actualizadas, nuevos comentarios de usuarios. Debe usarse con un lector de flujos RSS.';
 $lang['add this image to your favorites'] = 'agregar esta foto a sus favoritos';
 $lang['display best rated items'] = 'mostrar las fotos con mejor calificación';
+//$lang['display each day with pictures, month per month'] = 'affichage année par année, mois par mois, jour par jour'; //?
 $lang['delete this image from your favorites'] = 'Borrar esta foto de sus favoritos';
 $lang['display my favorites pictures'] = 'mostrar mis fotos favoritas';
-$lang['shows images at the root of this category'] = 'muestra las fotos a la raíz de esta categoría';
-$lang['Maximum height of the pictures'] = 'Altura máxima de las fotos';
-$lang['Maximum height must be a number superior to 50'] = 'La altura de las fotos debe ser superior a 50';
-$lang['Maximum width of the pictures'] = 'Ancho máximo de las fotos';
-$lang['Maximum width must be a number superior to 50'] = 'El ancho de las fotos debe ser superior a 50';
+//$lang['shows images at the root of this album'] = 'display this album';
 $lang['display most visited pictures'] = 'mostrar las fotos más vistas';
-$lang['The number of images per row must be a not null scalar'] = 'La cantidad de fotos por línea debe ser un número entero superior a cero';
 $lang['Rate this picture'] = 'Votar esta foto';
-$lang['picture'] = 'Foto';
-$lang['Click on the picture to see it in high definition'] = 'Haga clic en la foto para verla en alta resolución';
 $lang['Random pictures'] = 'foto al azar';
 $lang['display a set of random pictures'] = 'mostrar un conjunto aleatorio de fotos';
 $lang['Recent pictures'] = 'fotos recientes';
 $lang['display most recent pictures'] = 'mostrar las fotos más recientes';
+//$lang['display only recently posted images'] = 'n\'afficher que les photos publiés récemment';
+//$lang['return to the display of all images'] = 'retourner à l\'affichage de toutes les photos';
+$lang['%d image']='%d Foto';
+$lang['%d images']='%d Fotos';
+$lang['%d image is also linked to current tags'] = '%d foto también está relacionada con los tags actuales';
+$lang['%d images are also linked to current tags'] = '%d fotos también están relacionada con los tags actuales';
+$lang['See images linked to this tag only'] = 'Ver únicamente las fotos relacionadas a ese tag';
+$lang['images posted during the last %d days'] = 'fotos agregadas los últimos %d días';
+$lang['delete all images from your favorites'] = 'borrar todas las fotos de tus favoritos';
+$lang['Complete RSS feed (images, comments)'] = 'Flujo RSS completo (fotos, comentarios)';
+$lang['Image only RSS feed'] = 'Flujo RSS sólo las fotos';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'El flujo RSS notifica eventos de la galería:fotos nuevas, categorías actualizadas, nuevos comentarios de usuarios. Debe usarse con un lector de flujos RSS.';
+$lang['Maximum height of the pictures'] = 'Altura máxima de las fotos';
+$lang['Maximum width of the pictures'] = 'Ancho máximo de las fotos';
+//$lang['display all elements in all sub-albums'] = 'afficher à plat les photos des albums et des sous-albums';
+$lang['The number of images per row must be a not null scalar'] = 'La cantidad de fotos por línea debe ser un número entero superior a cero';
+//$lang['Number of images per row'] = 'Nombre de miniatures par ligne';
+//$lang['Elements posted within the last %d day.'] = 'N\'afficher que les photos récentes de moins de %d jour.';
+//$lang['Elements posted within the last %d days.'] = 'N\'afficher que les photos récentes de moins de %d jours.';
+$lang['picture'] = 'Foto';
+$lang['Click on the picture to see it in high definition'] = 'Haga clic en la foto para verla en alta resolución';
+
+// admin
+//$lang['Edit all picture informations'] = 'Edit photo information';
+//$lang['Include display of recent pictures group by dates'] = "Inclure l'affichage des dernières images groupées par dates";
+//$lang['Link all album elements to a new album'] = 'Link all album photos to a new album';
+//$lang['Link all album elements to some existing albums'] = 'Link all album photos to some existing albums';
+//$lang['manage image ranks'] = "gérer l'ordre des images";
+//$lang['New elements added'] = 'New photos added';
+//$lang['New elements were added'] = 'New photos were added';
+//$lang['No element in this album'] = 'No photo in this album';
+//$lang['Select at least one picture']= "Sélectionner au moins une image";
+//$lang['Update images informations'] = 'Update photos information';
+//$lang['Use the default image sort order (defined in the configuration file)'] = 'Use the default photo sort order (defined in the configuration file)';
+//$lang['add new elements to caddie'] = "Ajouter les nouveaux éléments au panier";
+//$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Afficher un maximum d\'informations (albums ajoutés, photos ajoutées, albums et photos supprimées)';
+//$lang['elements added in the database'] = "éléments ajoutés dans la base de données";
+//$lang['elements deleted in the database'] = "éléments supprimés de la base de données";
+//$lang['elements per page'] = "Nombre d'éléments par page à afficher";
+//$lang['elements updated in the database'] = "éléments mis à jour dans la base de données";
+//$lang['even already synchronized elements'] = "Même les éléments déjà synchronisés";
+//$lang['first element added on %s'] = "premier élément ajouté le %s";
+//$lang['images candidates for metadata synchronization'] = 'photos candidates for metadata synchronization';
+//$lang['jump to image'] = "Se rendre à l'image";
+//$lang['Manage image ranks'] = "Gérer l'ordre des images";
+
+
+//$lang['manage album photos'] = 'manage album elements';
+//$lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
+//$lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';
+//$lang['number of miniaturized pictures'] = 'number of miniaturized photos';
+//$lang['Picture informations updated'] = 'Photo informations updated';
+//$lang['Picture unreachable or no support'] = 'Photo unreachable or no support';
+//$lang['pictures without thumbnail (jpeg and png only)'] = 'photos without thumbnail (jpeg and png only)';
+//$lang['Random picture'] = 'Random photo';
+
+
+/*no to 2.2*/
+$lang['Choose an image'] = 'Elegir una foto para agregar';
+$lang['Some info about this picture'] = "Informaciones de esta photo";
+$lang['Some more (technical) info about this picture'] = "Información (técnica) de esta foto";
+$lang['Image Quality'] = 'Calidad de la foto';
+$lang['shows images at the root of this category'] = 'muestra las fotos a la raíz de esta categoría';
+$lang['Maximum height must be a number superior to 50'] = 'La altura de las fotos debe ser superior a 50';
+$lang['Maximum width must be a number superior to 50'] = 'El ancho de las fotos debe ser superior a 50';
 $lang['the filesize of the picture must not exceed :'] = 'el tamaño de la foto debe ser inferior o igual a: ';
 $lang['the picture must be to the fileformat jpg, gif or png'] = 'formatos aceptados: jpg, png ou gif únicamente';
@@ -32,14 +89,3 @@
 $lang['Picture name: %s'] = 'Título de la foto: %s';
 $lang['Picture uploaded by %s'] = 'foto subida por %s';
-$lang['%d image']='%d Foto';
-$lang['%d images']='%d Fotos';
-$lang['%d image is also linked to current tags'] = '%d foto también está relacionada con los tags actuales';
-$lang['%d images are also linked to current tags'] = '%d fotos también están relacionada con los tags actuales';
-$lang['See images linked to this tag only'] = 'Ver únicamente las fotos relacionadas a ese tag';
-$lang['images posted during the last %d days'] = 'fotos agregadas los últimos %d días';
-$lang['Choose an image'] = 'Elegir una foto para agregar';
-$lang['delete all images from your favorites'] = 'borrar todas las fotos de tus favoritos';
-$lang['Some info about this picture'] = "Informaciones de esta photo";
-$lang['Some more (technical) info about this picture'] = "Información (técnica) de esta foto";
-$lang['Image Quality'] = 'Calidad de la foto';
 ?>
Index: extensions/Photos/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8737)
+++ extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8738)
@@ -1,26 +1,83 @@
 <?php
+// common
 $lang['%d new image'] = '%d nouvelle photo';
 $lang['%d new images'] = '%d nouvelles photos';
-$lang['Complete RSS feed (images, comments)'] = 'Flux RSS complet (photos, commentaires)';
-$lang['Image only RSS feed'] = 'Flux RSS des photos uniquement';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les événements de la galerie : nouvelles photos, catégories mises à jour, nouveaux commentaires utilisateurs. À utiliser avec un lecteur de flux RSS.';
 $lang['add this image to your favorites'] = 'ajouter cette photo à vos favoris';
 $lang['display best rated items'] = 'afficher les photos les mieux notées';
+$lang['display each day with pictures, month per month'] = 'affichage année par année, mois par mois, jour par jour'; //?
 $lang['delete this image from your favorites'] = 'supprimer cette photo de vos favoris';
 $lang['display my favorites pictures'] = 'afficher mes photos favorites';
-$lang['shows images at the root of this category'] = 'montre les photos à la racine de cette catégorie';
-$lang['Maximum height of the pictures'] = 'Hauteur maximum des photos';
-$lang['Maximum height must be a number superior to 50'] = 'La hauteur maximum des photos doit être supérieure à 50';
-$lang['Maximum width of the pictures'] = 'Largeur maximum des photos';
-$lang['Maximum width must be a number superior to 50'] = 'La largeur des photos doit être supérieure à 50';
+//$lang['shows images at the root of this album'] = 'display this album';
 $lang['display most visited pictures'] = 'afficher les photos les plus vues';
-$lang['The number of images per row must be a not null scalar'] = 'Le nombre de photos par ligne doit être un entier non nul';
 $lang['Rate this picture'] = 'Votez pour cette photo';
-$lang['picture'] = 'photo';
-$lang['Click on the picture to see it in high definition'] = 'Cliquer sur la photo pour la visualiser en haute définition';
 $lang['Random pictures'] = 'Photos au hasard';
 $lang['display a set of random pictures'] = 'afficher un ensemble de photos prises au hasard';
 $lang['Recent pictures'] = 'Photos récentes';
 $lang['display most recent pictures'] = 'afficher les photos les plus récentes';
+$lang['display only recently posted images'] = 'n\'afficher que les photos publiés récemment';
+$lang['return to the display of all images'] = 'retourner à l\'affichage de toutes les photos';
+$lang['%d image']='%d photo';
+$lang['%d images']='%d photos';
+$lang['%d image is also linked to current tags'] = '%d photo est également liée aux mots clés courants';
+$lang['%d images are also linked to current tags'] = '%d photos sont également liées aux mots clés courants';
+$lang['See images linked to this tag only'] = 'Voir les photos liées uniquement à ce mot clé';
+$lang['images posted during the last %d days'] = 'photos ajoutées au cours des %d derniers jours';
+$lang['delete all images from your favorites'] = 'supprimer toutes les photos de vos favoris';
+$lang['Complete RSS feed (images, comments)'] = 'Flux RSS complet (photos, commentaires)';
+$lang['Image only RSS feed'] = 'Flux RSS des photos uniquement';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les événements de la galerie : nouvelles photos, catégories mises à jour, nouveaux commentaires utilisateurs. À utiliser avec un lecteur de flux RSS.';
+$lang['Maximum height of the pictures'] = 'Hauteur maximum des photos';
+$lang['Maximum width of the pictures'] = 'Largeur maximum des photos';
+$lang['display all elements in all sub-albums'] = 'afficher à plat les photos des albums et des sous-albums';
+$lang['The number of images per row must be a not null scalar'] = 'Le nombre de photos par ligne doit être un entier non nul';
+$lang['Number of images per row'] = 'Nombre de miniatures par ligne';
+$lang['Elements posted within the last %d day.'] = 'N\'afficher que les photos récentes de moins de %d jour.';
+$lang['Elements posted within the last %d days.'] = 'N\'afficher que les photos récentes de moins de %d jours.';
+$lang['picture'] = 'photo';
+$lang['Click on the picture to see it in high definition'] = 'Cliquer sur la photo pour la visualiser en haute définition';
+
+// admin
+//$lang['Edit all picture informations'] = 'Edit photo information';
+$lang['Include display of recent pictures group by dates'] = "Inclure l'affichage des dernières images groupées par dates";
+//$lang['Link all album elements to a new album'] = 'Link all album photos to a new album';
+//$lang['Link all album elements to some existing albums'] = 'Link all album photos to some existing albums';
+$lang['manage image ranks'] = "gérer l'ordre des images";
+//$lang['New elements added'] = 'New photos added';
+//$lang['New elements were added'] = 'New photos were added';
+//$lang['No element in this album'] = 'No photo in this album';
+$lang['Select at least one picture']= "Sélectionner au moins une image";
+//$lang['Update images informations'] = 'Update photos information';
+//$lang['Use the default image sort order (defined in the configuration file)'] = 'Use the default photo sort order (defined in the configuration file)';
+$lang['add new elements to caddie'] = "Ajouter les nouveaux éléments au panier";
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Afficher un maximum d\'informations (albums ajoutés, photos ajoutées, albums et photos supprimées)';
+$lang['elements added in the database'] = "éléments ajoutés dans la base de données";
+$lang['elements deleted in the database'] = "éléments supprimés de la base de données";
+$lang['elements per page'] = "Nombre d'éléments par page à afficher";
+$lang['elements updated in the database'] = "éléments mis à jour dans la base de données";
+$lang['even already synchronized elements'] = "Même les éléments déjà synchronisés";
+$lang['first element added on %s'] = "premier élément ajouté le %s";
+//$lang['images candidates for metadata synchronization'] = 'photos candidates for metadata synchronization';
+$lang['jump to image'] = "Se rendre à l'image";
+$lang['Manage image ranks'] = "Gérer l'ordre des images";
+
+
+//$lang['manage album photos'] = 'manage album elements';
+//$lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
+//$lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';
+//$lang['number of miniaturized pictures'] = 'number of miniaturized photos';
+//$lang['Picture informations updated'] = 'Photo informations updated';
+//$lang['Picture unreachable or no support'] = 'Photo unreachable or no support';
+//$lang['pictures without thumbnail (jpeg and png only)'] = 'photos without thumbnail (jpeg and png only)';
+//$lang['Random picture'] = 'Random photo';
+
+
+/*no to 2.2*/
+$lang['add new elements to caddie'] = "Ajouter les nouveaux éléments au panier";
+$lang['Choose an image'] = 'Choisir une photo à ajouter';
+$lang['Some info about this picture'] = "Informations sur cette photo";
+$lang['Some more (technical) info about this picture'] = "Informations (techniques) sur cette photo";
+$lang['shows images at the root of this category'] = 'montre les photos à la racine de cette catégorie';
+$lang['Maximum height must be a number superior to 50'] = 'La hauteur maximum des photos doit être supérieure à 50';
+$lang['Maximum width must be a number superior to 50'] = 'La largeur des photos doit être supérieure à 50';
 $lang['the filesize of the picture must not exceed :'] = 'le poids de la photo ne doit pas dépasser : ';
 $lang['the picture must be to the fileformat jpg, gif or png'] = 'le format de la photo doit être jpg, png ou gif';
@@ -33,38 +90,3 @@
 $lang['Picture name: %s'] = 'Nom de la photo : %s';
 $lang['Picture uploaded by %s'] = 'Photo téléchargée par %s';
-$lang['%d image']='%d photo';
-$lang['%d images']='%d photos';
-$lang['%d image is also linked to current tags'] = '%d photo est également liée aux mots clés courants';
-$lang['%d images are also linked to current tags'] = '%d photos sont également liées aux mots clés courants';
-$lang['See images linked to this tag only'] = 'Voir les photos liées uniquement à ce mot clé';
-$lang['images posted during the last %d days'] = 'photos ajoutées au cours des %d derniers jours';
-$lang['Choose an image'] = 'Choisir une photo à ajouter';
-$lang['delete all images from your favorites'] = 'supprimer toutes les photos de vos favoris';
-$lang['Some info about this picture'] = "Informations sur cette photo";
-$lang['Some more (technical) info about this picture'] = "Informations (techniques) sur cette photo";
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les événements de la galerie : nouvelles photos, albums mis à jour, nouveaux commentaires utilisateur. À utiliser avec un lecteur de flux RSS.';
-$lang['display all elements in all sub-albums'] = 'afficher à plat les photos des albums et des sous-albums';
-$lang['Number of images per row'] = 'Nombre de miniatures par ligne';
-$lang['Elements posted within the last %d day.'] = 'N\'afficher que les photos récentes de moins de %d jour.';
-$lang['Elements posted within the last %d days.'] = 'N\'afficher que les photos récentes de moins de %d jours.';
-$lang['display each day with pictures, month per month'] = 'affichage année par année, mois par mois, jour par jour'; //?
-$lang['display only recently posted images'] = 'n\'afficher que les photos publiés récemment';
-$lang['return to the display of all images'] = 'retourner à l\'affichage de toutes les photos';
-
-//Admin
-$lang['Select at least one picture']= "Sélectionner au moins une image";
-$lang['elements per page'] = "Nombre d'éléments par page à afficher";
-$lang['first element added on %s'] = "premier élément ajouté le %s";
-$lang['jump to image'] = "Se rendre à l'image";
-$lang['Include display of recent pictures group by dates'] = "Inclure l'affichage des dernières images groupées par dates";
-$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Afficher un maximum d\'informations (albums ajoutés, photos ajoutées, albums et photos supprimées)';
-$lang['elements deleted in the database'] = "éléments supprimés de la base de données";
-$lang['elements added in the database'] = "éléments ajoutés dans la base de données";
-$lang['elements updated in the database'] = "éléments mis à jour dans la base de données";
-$lang['even already synchronized elements'] = "Même les éléments déjà synchronisés";
-$lang['add new elements to caddie'] = "Ajouter les nouveaux éléments au panier";
-$lang['manage image ranks'] = "gérer l'ordre des images";
-$lang['Manage image ranks'] = "Gérer l'ordre des images";
-
-
 ?>